org.apache.jmeter.report.processor

## Interface ResultData

All Known Implementing Classes:
  ListResultData, MapResultData, ValueResultData

    public interface ResultData

The interface ResultData represents a result from samples processing.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`<T> T` `accept(ResultDataVisitor<T> visitor)` Accepts the specified visitor.

### Method Detail

#### accept

    <T> T accept(ResultDataVisitor<T> visitor)

Accepts the specified visitor.

Type Parameters:
  `T` - type of the results of the `ResultDataVisitor`
Parameters:
  `visitor` - the visitor (must not be `null`)
Returns:
  result of the visit